# General
site_name: GÉANT Automation Platform
site_url: https://docs.gap.geant.org/
site_author: GÉANT Orchestration and Automation Team
site_description: Documentation of the GÉANT Automation Platform and the GÉANT Service Orchestrator

# Repositories
repo_name: geant-service-orchestrator
repo_url: https://gitlab.software.geant.org/goat/gap/geant-service-orchestrator

# Theme
theme:
  name: material
  logo_light_mode: assets/images/logo.png
  logo_dark_mode: assets/images/geant_logo_white.png
  custom_dir: docs/overrides
  icon:
    repo: fontawesome/brands/gitlab
  features:
    - navigation.instant
    - navigation.tracking
    - navigation.sections
    - toc.integrate
    - navigation.path
    - navigation.indexes
    - content.code.copy
  palette:
    - media: "(prefers-color-scheme)"
      toggle:
        icon: material/auto-mode
        name: Switch to light mode
    - media: "(prefers-color-scheme: light)"
      scheme: geant
      primary: custom
      toggle:
        icon: material/weather-sunny
        name: Switch to dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: custom
      toggle:
        icon: material/weather-night
        name: Switch to system preference
extra_css:
  - assets/stylesheets/extra.css

plugins:
  - search
  - gen-files:
      scripts:
        - docs/scripts/gen_ref_pages.py
  - literate-nav:
      nav_file: SUMMARY.md
  - section-index
  - mkdocstrings

# Page tree
nav:
  - Home: index.md
  - Architecture:
    - architecture/index.md
    - architecture/config_decomposition/index.md
    - Components:
      - architecture/components/index.md
      - WFO: architecture/components/wfo/index.md
      - Netbox: architecture/components/netbox/index.md
      - Ansible: architecture/components/ansible/index.md
      - LSO: architecture/components/lso/index.md
    - DTAP:
      - architecture/dtap/index.md
      - Development: architecture/dtap/development.md
      - Test: architecture/dtap/test.md
      - Acceptance: architecture/dtap/acceptance.md
      - Production: architecture/dtap/production.md
  - Admin Guide:
    - admin_guide/index.md
    - Ansible:
        - admin_guide/ansible/ansible.md
    - GSO:
      - Diagram: admin_guide/wfo/overview.md
      - Sites: admin_guide/wfo/sites.md
      - Routers: admin_guide/wfo/routers.md
      - IP trunks: admin_guide/wfo/iptrunks.md
    - OSS/BSS integration:
      - Infoblox: admin_guide/oss_bss/ipam.md
      - Netbox: admin_guide/oss_bss/netbox.md
      - LibreNMS: admin_guide/oss_bss/librenms.md
      - Kentik: admin_guide/oss_bss/kentik.md
  - Code Documentation: reference/

# Extensions
markdown_extensions:
  - admonition
  - abbr
  - attr_list
  - md_in_html
  - pymdownx.snippets:
      auto_append:
        - includes/glossary.md
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
